The system failed to load the module “Whostmgr::Mysql::Upgrade”

masbay93

Registered
Nov 26, 2017
1
0
1
Indonesia
cPanel Access Level
Root Administrator
I get the following error message when accessing MySQL/MariaDB Upgrade:
Code:
A fatal error or timeout occurred while processing this directive. [close]
-------------------------------------------------------------
(XID wrnf8d) The system failed to load the module “Whostmgr::Mysql::Upgrade” because of an error: Can't locate DBD/mysql.pm in @INC (you may need to install the DBD::mysql module) (@INC contains: /usr/local/cpanel /usr/local/cpanel /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/cpanel_lib/x86_64-linux-64int /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/cpanel_lib /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/5.24.1/x86_64-linux-64int /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/5.24.1 /opt/cpanel/perl5/524/site_lib/x86_64-linux-64int /opt/cpanel/perl5/524/site_lib /usr/local/cpanel) at /usr/local/cpanel/Cpanel/Compat/DBDmysql.pm line 18.
BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/Compat/DBDmysql.pm line 18.
Compilation failed in require at /usr/local/cpanel/Cpanel/MysqlUtils/Connect.pm line 18.
BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/MysqlUtils/Connect.pm line 18.
Compilation failed in require at /usr/local/cpanel/Cpanel/MysqlUtils/Reset.pm line 10.
BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/MysqlUtils/Reset.pm line 10.
Compilation failed in require at /usr/local/cpanel/Whostmgr/Mysql/Upgrade.pm line 34.
BEGIN failed--compilation aborted at /usr/local/cpanel/Whostmgr/Mysql/Upgrade.pm line 34.
Compilation failed in require at (eval 7) line 1.
BEGIN failed--compilation aborted at (eval 7) line 1.
 at /usr/local/cpanel/Cpanel/LoadModule.pm line 74.
    Cpanel::LoadModule::load_perl_module("Whostmgr::Mysql::Upgrade") called at whostmgr/bin/whostmgr.pl line 7156
    main::mysqlupgrade() called at whostmgr/bin/whostmgr.pl line 850
-------------------------------------------------------------
Previously my client server was using MariaDB 5.5 (marked as blocked on the WHM MySQL/MariaDB Upgrade page), and I get failed when upgrading to MariaDB 10.1 on the MySQL/MariaDB Upgrade page.

Then I tried to uninstall MariaDB 5.5 along with its dependencies. After that I added the MariaDB 10.1 repository and installed it, and it worked. However, the problem is I can not access the MySQL/MariaDB Upgrade page.

So, what should I do? Please help...
 

Attachments

Last edited by a moderator:

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,205
363
Hello,

Can you open a support ticket using the link in my signature so we can take a closer look at your system?

Thank you.